# DuMuX course slides

The slides are automatically built and deployed in the CI and can be viewed at
[pages.iws.uni-stuttgart.de/dumux-repositories/dumux-course/](https://pages.iws.uni-stuttgart.de/dumux-repositories/dumux-course/index.html).
In order to add new slides, simply add your `.md` file in this folder, and add
an entry to `index.md` such that your slides are linked from the landing page.
__Important__: In `index.md`, link to your slides using `./YOUR_FILENAME.html`, and make sure to put your link at the right position in the list.

To build one slide set locally, you need to have a current version of pandoc installed, see https://pandoc.org/installing.html. If your slide set is `my_slide_set.md`, you can translate it via
```bash
pandoc -t revealjs -s --mathjax -o test.html my_slide_set.md -V revealjs-url=https://unpkg.com/reveal.js/ -V theme=serif --include-in-header=dumux_course_header.html
```
and point your browser to the resulting `test.html`.
